use crate::defines::LevelInt;

/// This library holds several misc settings for the library.
#[derive(Debug)]
#[cfg_attr(feature = "wasm", derive(unique_type_id_derive::UniqueTypeId))]
pub struct LibrarySettings {
    /// The highest level a Pokemon can be.
    maximum_level: LevelInt,
}

impl LibrarySettings {
    /// Creates a new settings library.
    pub fn new(maximum_level: LevelInt) -> Self {
        Self { maximum_level }
    }

    /// The highest level a Pokemon can be.
    pub fn maximum_level(&self) -> LevelInt {
        self.maximum_level
    }
}
